SWITCHSERIALMODE_VERSION:= 1.0.0
SWITCHSERIALMODE_SITE:= ../PSG/package/switchserialmode/src
SWITCHSERIALMODE_SITE_METHOD:=local
SWITCHSERIALMODE_INSTALL_TARGET:=YES

define SWITCHSERIALMODE_BUILD_CMDS
	$(MAKE) CC="$(TARGET_CC)" LD="$(TARGET_LD)" -C $(@D) all
endef

define SWITCHSERIALMODE_INSTALL_TARGET_CMDS
	$(INSTALL) -D -m 0755 $(@D)/switchserialmode $(TARGET_DIR)/usr/bin
endef

define SWITCHSERIALMODE_PERMISSIONS
	/usr/bin/switchserialmode f 4755 0 0 - - - - - 
endef

$(eval $(generic-package))